<?xml version='1.1' encoding='UTF-8'?>
<project>
  <actions/>
  <description>Makes a daily backup of the Jenkins Config files</description>
  <keepDependencies>false</keepDependencies>
  <properties>
    <hudson.plugins.jira.JiraProjectProperty plugin="jira@3.0.10"/>
    <org.jenkinsci.plugins.gitbucket.GitBucketProjectProperty plugin="gitbucket@0.8">
      <linkEnabled>false</linkEnabled>
    </org.jenkinsci.plugins.gitbucket.GitBucketProjectProperty>
  </properties>
  <scm class="hudson.scm.NullSCM"/>
  <canRoam>true</canRoam>
  <disabled>false</disabled>
  <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
  <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
  <triggers>
    <hudson.triggers.TimerTrigger>
      <spec>@daily
</spec>
    </hudson.triggers.TimerTrigger>
  </triggers>
  <concurrentBuild>false</concurrentBuild>
  <builders>
    <hudson.tasks.Shell>
      <command>echo &quot;Backing up Jenkins config files from ${HOME}&quot;
cd ${HOME}
git status

echo &quot;Finding added and changed files and committing to git&quot;
git add * || true
git commit -a -m &apos;daily backup&apos; || true
git push

echo &quot;Checking status is okay&quot;
git status
</command>
    </hudson.tasks.Shell>
  </builders>
  <publishers/>
  <buildWrappers/>
</project>